Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.stream
Class MergeStage

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Stage<Incoming,Outgoing>
              cascading.flow.stream.ElementStage<TupleEntry,TupleEntry>
                  cascading.flow.stream.MergeStage

All Implemented Interfaces:
  Collapsing, ElementDuct

Direct Known Subclasses:
  SyncMergeStage

    public class MergeStage

extends ElementStage<TupleEntry,TupleEntry>
implements Collapsing

Field Summary
`protected AtomicInteger` | `completeCount`

Fields inherited from class cascading.flow.stream.ElementStage
`branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`MergeStage(FlowProcess flowProcess, FlowElement flowElement)`

Method Summary
`void` | `bind(StreamGraph streamGraph)`
`void` | `complete(Duct previous)`
`void` | `initialize()` Called immediately after bind
`void` | `start(Duct previous)`

Methods inherited from class cascading.flow.stream.ElementStage
`addIncomingScope, addOutgoingScope, cleanup, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

Methods inherited from class cascading.flow.stream.Stage
`receive`

Methods inherited from class cascading.flow.stream.Duct
`getNext, getNextFor, prepare, receiveFirst`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### completeCount

    protected final AtomicInteger completeCount

Constructor Detail

### MergeStage

    public MergeStage(FlowProcess flowProcess,
                      FlowElement flowElement)

Method Detail

### bind

    public void bind(StreamGraph streamGraph)

  Overrides:
    `bind` in class `Duct<TupleEntry,TupleEntry>`

### initialize

    public void initialize()

  Description copied from class: `Duct`
  Called immediately after bind

  Overrides:
    `initialize` in class `Duct<TupleEntry,TupleEntry>`

### start

    public void start(Duct previous)

  Overrides:
    `start` in class `Duct<TupleEntry,TupleEntry>`

### complete

    public void complete(Duct previous)

  Overrides:
    `complete` in class `Duct<TupleEntry,TupleEntry>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.